Get list of companies
GET /organizations/
URL
https://system_domain/api/v2/organizations/?page=1&search=NewCompany
Parameters
Query-parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (30 companies are displayed per page) |
search | string | No | Search across organizations |
exact_search | number | No | Search for exact match of the "search" value (1 - exact match, 0 - standard search) |
from_date_created | string | No | Creation date "from". Companies created since the specified moment (YYYY-MM-DD HH:MM:SS) |
to_date_created | string | No | Creation date "to". Companies created before the specified moment (YYYY-MM-DD HH:MM:SS) |
from_date_updated | string | No | Update date "from". Companies with changes made since the specified moment (YYYY-MM-DD HH:MM:SS) |
to_date_updated | string | No | Update date "to". Companies with changes made before the specified moment (YYYY-MM-DD HH:MM:SS) |
order_by | string | No | Sort companies, comma-separated. Companies can be sorted by parameters: date_created, date_updated, name. Sort order: {asc} - ascending and {desc} - descending; Default value - name{asc} |
Responses
Response example
{
"data": [
{
"id": 73,
"date_created": "2023-11-16 12:47:36",
"date_updated": "2023-11-16 12:47:36",
"name": "Old Organization",
"domains": "",
"address": "",
"phone": "",
"web": "",
"minute_limit": 0,
"employees": [
421
],
"managers": [],
"custom_fields": []
},
{
"id": 74,
"date_created": "2023-11-16 12:49:28",
"date_updated": "2023-11-16 12:49:28",
"name": "New Organization",
"domains": "",
"address": "",
"phone": "",
"web": "",
"minute_limit": 0,
"employees": [],
"managers": [],
"custom_fields": []
}
],
"pagination": {
"total": 2,
"per_page": 30,
"current_page": 1,
"total_pages": 1
}
}